<?php

	if(empty($_POST['name']) || empty($_POST['email']) ||empty($_POST['subject'])|| empty($_POST['phone']) || empty($_POST['message']) || !filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
	  http_response_code(500);
	  exit();
	}

	$name = strip_tags(htmlspecialchars($_POST['name']));
	$email = strip_tags(htmlspecialchars($_POST['email']));
	$subject = strip_tags(htmlspecialchars($_POST['subject']));
	$phone = strip_tags(htmlspecialchars($_POST['phone']));
	$message = strip_tags(htmlspecialchars($_POST['message']));

	// Create the email and send the message
	$to = "info@universalbioscience.com"; // Add your email address inbetween the "" replacing yourname@yourdomain.com - This is where the form will send a message to.
	$subject = "Website Contact Form Enquiry: ".$subject;

	// To send HTML mail, the Content-type header must be set
	$headers  = 'MIME-Version: 1.0' . "\r\n";
	$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
 	$headers .= 'From: noreply@universalbioscience.com'."\r\n".
    'Reply-To: '.$email."\r\n" .
    'X-Mailer: PHP/' . phpversion();
	
	$body= '<html><body>';
	$body.= '<table rules="all" style="border-color: #666;" cellpadding="10">';
	$body.= '<tr style="background: #eee;""><td><strong>Name: </strong></td><td>'.$name.' </td></tr>';
	$body.= '<tr style="background: #eee;""><td><strong>Email: </strong></td><td style="color:blue;">'.$email.' </td></tr>';
	$body.= '<tr style="background: #eee;""><td><strong>Phone: </strong></td><td>'.$phone.' </td></tr>';
	$body.= '<tr style="background: #eee;""><td><strong>Subject: </strong></td><td>'.$subject.' </td></tr>';
	$body.= '<tr style="background: #eee;""><td><strong>Message: </strong></td><td>'.$message.' </td></tr>';
	$body .= '</table></body></html>';
	
	mail($to, $subject, $body, $headers);

?>